<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1Billboard.html">Billboard</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::Billboard Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1Billboard.html">Ogre::Billboard</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Billboard.html#a88d66ce919092367df57a2e3abcae059">_notifyOwner</a>(BillboardSet *owner)</td><td><a class="el" href="classOgre_1_1Billboard.html">Ogre::Billboard</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Billboard.html#a39ef001d2052cbae98014753e210b732">Billboard</a>()</td><td><a class="el" href="classOgre_1_1Billboard.html">Ogre::Billboard</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Billboard.html#aff96bdb3a3446cdf08499e58aa03c3c5">Billboard</a>(const Vector3 &amp;position, BillboardSet *owner, const ColourValue &amp;colour=ColourValue::White)</td><td><a class="el" href="classOgre_1_1Billboard.html">Ogre::Billboard</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Billboard.html#a261647d2b3ed936e9a2f05309ae878d0">BillboardParticleRenderer</a> class</td><td><a class="el" href="classOgre_1_1Billboard.html">Ogre::Billboard</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Billboard.html#a7f055c0ed81c6b3bef6d154d128093a1">BillboardSet</a> class</td><td><a class="el" href="classOgre_1_1Billboard.html">Ogre::Billboard</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Billboard.html#adc2355d3465e10bde213705e432e0826">getColour</a>(void) const </td><td><a class="el" href="classOgre_1_1Billboard.html">Ogre::Billboard</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Billboard.html#a0baf5a83e70a59a3cdaf4ce4a929b4d4">getOwnHeight</a>(void) const </td><td><a class="el" href="classOgre_1_1Billboard.html">Ogre::Billboard</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Billboard.html#adc14c9f66bf55dc51286b163f1417fbb">getOwnWidth</a>(void) const </td><td><a class="el" href="classOgre_1_1Billboard.html">Ogre::Billboard</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Billboard.html#a36dfa19a35f697aadf9844021fcedb03">getPosition</a>(void) const </td><td><a class="el" href="classOgre_1_1Billboard.html">Ogre::Billboard</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Billboard.html#a21d65daa1be659c9234da380b8e9f2f4">getRotation</a>(void) const </td><td><a class="el" href="classOgre_1_1Billboard.html">Ogre::Billboard</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Billboard.html#a44c9c4056e597a7b50d8881fc1d1785d">getTexcoordIndex</a>(void) const </td><td><a class="el" href="classOgre_1_1Billboard.html">Ogre::Billboard</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Billboard.html#a520cbeb132a68eeb38f34e87e71f2749">getTexcoordRect</a>(void) const </td><td><a class="el" href="classOgre_1_1Billboard.html">Ogre::Billboard</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Billboard.html#a3857d9e9a3e831f8621598be8ad54e16">hasOwnDimensions</a>(void) const </td><td><a class="el" href="classOgre_1_1Billboard.html">Ogre::Billboard</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Billboard.html#aeea6556e787c984b97bf779b7b90dbb1">isUseTexcoordRect</a>(void) const </td><td><a class="el" href="classOgre_1_1Billboard.html">Ogre::Billboard</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Billboard.html#aef9f7ad996732865cd2c8842ee265064">mColour</a></td><td><a class="el" href="classOgre_1_1Billboard.html">Ogre::Billboard</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Billboard.html#a64425b354973d2d957bc878fca407aad">mDirection</a></td><td><a class="el" href="classOgre_1_1Billboard.html">Ogre::Billboard</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Billboard.html#a19e9a04c451b91b5c74d61b7040c9adb">mHeight</a></td><td><a class="el" href="classOgre_1_1Billboard.html">Ogre::Billboard</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Billboard.html#afb34875469363c35f235c8746d8664f2">mOwnDimensions</a></td><td><a class="el" href="classOgre_1_1Billboard.html">Ogre::Billboard</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Billboard.html#aaa2fce61abce942e356fd81925c394fd">mParentSet</a></td><td><a class="el" href="classOgre_1_1Billboard.html">Ogre::Billboard</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Billboard.html#aa7ad6c8789d8589787c4da34c670d66c">mPosition</a></td><td><a class="el" href="classOgre_1_1Billboard.html">Ogre::Billboard</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Billboard.html#ad861053413ca65e059dd74131a084839">mRotation</a></td><td><a class="el" href="classOgre_1_1Billboard.html">Ogre::Billboard</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Billboard.html#a3d416b1519dc19dde0550cf8ac92d1e1">mTexcoordIndex</a></td><td><a class="el" href="classOgre_1_1Billboard.html">Ogre::Billboard</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Billboard.html#a8100e3deb204c1c8d5f2dd4429cad6b2">mTexcoordRect</a></td><td><a class="el" href="classOgre_1_1Billboard.html">Ogre::Billboard</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Billboard.html#a45a151660ff2ea011a7c051f50d18ef3">mUseTexcoordRect</a></td><td><a class="el" href="classOgre_1_1Billboard.html">Ogre::Billboard</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Billboard.html#aa025549188dc792b76507cf2c7f02c9f">mWidth</a></td><td><a class="el" href="classOgre_1_1Billboard.html">Ogre::Billboard</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Billboard.html#ae5bf31f1d013a1f0c3b5a92e46c76d11">resetDimensions</a>(void)</td><td><a class="el" href="classOgre_1_1Billboard.html">Ogre::Billboard</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Billboard.html#a9126c29605e55b8bdb5f81adf267259a">setColour</a>(const ColourValue &amp;colour)</td><td><a class="el" href="classOgre_1_1Billboard.html">Ogre::Billboard</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Billboard.html#ac7c7422926a4387ae58c7303b701b8f0">setDimensions</a>(Real width, Real height)</td><td><a class="el" href="classOgre_1_1Billboard.html">Ogre::Billboard</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Billboard.html#aeb9ce5d9c11492faf34f3ee61e4a4a40">setPosition</a>(const Vector3 &amp;position)</td><td><a class="el" href="classOgre_1_1Billboard.html">Ogre::Billboard</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Billboard.html#a0e78e6b90bbf3184f45d0a87bbeb229b">setPosition</a>(Real x, Real y, Real z)</td><td><a class="el" href="classOgre_1_1Billboard.html">Ogre::Billboard</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Billboard.html#a8e64eda09ec65dea10dc180b68801d94">setRotation</a>(const Radian &amp;rotation)</td><td><a class="el" href="classOgre_1_1Billboard.html">Ogre::Billboard</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Billboard.html#ae8aa54c0303721dfc34ebbd8bdf1e8f4">setTexcoordIndex</a>(uint16 texcoordIndex)</td><td><a class="el" href="classOgre_1_1Billboard.html">Ogre::Billboard</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Billboard.html#a22f28d979395f04c6039d46a68c4eefb">setTexcoordRect</a>(const FloatRect &amp;texcoordRect)</td><td><a class="el" href="classOgre_1_1Billboard.html">Ogre::Billboard</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Billboard.html#a78525470bb318948f9cf68ddf9281aa8">setTexcoordRect</a>(Real u0, Real v0, Real u1, Real v1)</td><td><a class="el" href="classOgre_1_1Billboard.html">Ogre::Billboard</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Billboard.html#a3ef9bffd0c2a51d1bbac274bdf86c869">~Billboard</a>()</td><td><a class="el" href="classOgre_1_1Billboard.html">Ogre::Billboard</a></td><td></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:54
</p>
</body>
</html>
